Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.functions
Class MethodFunction

    java.lang.Object
      org.apache.commons.jxpath.functions.MethodFunction

All Implemented Interfaces:
  Function

    public class MethodFunction

extends Object
implements Function

An XPath extension function implemented as an individual Java method.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`MethodFunction(Method method)` Create a new MethodFunction.

Method Summary
`Object` | `invoke(ExpressionContext context, Object[] parameters)` Computes the value of the function.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodFunction

    public MethodFunction(Method method)

  Create a new MethodFunction.

  Parameters:
    `method` - implementing Method

Method Detail

### invoke

    public Object invoke(ExpressionContext context,
                         Object[] parameters)

  Description copied from interface: `Function`
  Computes the value of the function. Each implementation of Function is responsible for conversion of supplied parameters to the required argument types.

  Specified by:
    `invoke` in interface `Function`
  Parameters:
    `context` - can be used to acquire the context in which the function is being evaluted.
    `parameters` - function arguments
  Returns:
    Object result

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.